<template>
  <v-expansion-panel
    :class="{ 'rounded-[12px]': isSelected }"
    @group:selected="({ value }) => isSelected = value"
  >
    <v-expansion-panel-title
      class="py-8 transition-all"
      :class="{ 'bg-gray-50': isSelected }"
    >
      <TextAvatar :value="data.name" />

      <section class="ml-3 max-w-[90%]">
        <span class="text-lg font-lighter">
          {{ data.name }}
        </span>

        <section class="flex items-end text-sm text-gray-500">
          <v-icon icon="mdi-music-accidental-sharp" />
          <span>{{ String(data.id).padStart(4, '0') }}</span>
        </section>
      </section>
    </v-expansion-panel-title>

    <v-expansion-panel-text>
      <div class="px-1 pt-3 pb-2">
        <section class="flex">
          <section class="flex-auto basis-1/2">
            <GuestPhonesList :phones="data.phones" />
          </section>

          <section class="flex-initial px-6">
            <v-divider
              vertical
              :style="{ 'border-color': 'var(--gray-200)' }"
            />
          </section>

          <section class="flex flex-col flex-auto basis-1/2">
            <GuestLastBooking :guest="data" />
          </section>
        </section>

        <section class="flex">
          <section class="flex-auto basis-1/2 pt-8">
            <GuestNotesList :notes="data.notes" />
          </section>

          <section class="flex-initial px-6">
            <v-divider
              vertical
              :style="{ 'border-color': 'var(--gray-200)' }"
            />
          </section>

          <section class="flex-auto basis-1/2 pt-8">
            <GuestCommonData :guest="data" />
          </section>
        </section>
      </div>
    </v-expansion-panel-text>
  </v-expansion-panel>
</template>

<script setup lang="ts">
import { ref } from 'vue';

import TextAvatar from '@/components/content/TextAvatar.vue';

import GuestPhonesList from '@/pages/guests/page/phones/GuestPhonesList.vue';
import GuestNotesList from '@/pages/guests/page/notes/GuestNotesList.vue';
import GuestLastBooking from '@/pages/guests/page/GuestLastBookings.vue';
import GuestCommonData from '@/pages/guests/page/GuestCommonData.vue';

defineProps<{ data: IGuest }>();

const isSelected = ref(false);
</script>